Bug 183252 - Switch graphics/opengtl's LLVM port
Summary: Switch graphics/opengtl's LLVM port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-23 23:20 UTC by Brooks Davis
Modified: 2013-10-26 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.62 KB, patch)
2013-10-23 23:20 UTC, Brooks Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2013-10-23 23:20:02 UTC

Fix: Switch to using devel/llvm32.
STAGEify.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-23 23:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-26 14:50:44 UTC
Author: avilla
Date: Sat Oct 26 13:50:36 2013
New Revision: 331689
URL: http://svnweb.freebsd.org/changeset/ports/331689

Log:
  - Switch to devel/llvm32.
  - STAGEify.
  - Bump PORTREVISION.
  
  PR:		183252
  Submitted by:	brooks
  
  - Use "new" ${opt}_RUN_DEPENDS.

Added:
  head/graphics/opengtl/files/
  head/graphics/opengtl/files/patch-cmake__modules__FindLLVM.cmake   (contents, props changed)
Modified:
  head/graphics/opengtl/Makefile

Modified: head/graphics/opengtl/Makefile
==============================================================================
--- head/graphics/opengtl/Makefile	Sat Oct 26 13:39:37 2013	(r331688)
+++ head/graphics/opengtl/Makefile	Sat Oct 26 13:50:36 2013	(r331689)
@@ -2,6 +2,7 @@
 
 PORTNAME=	opengtl
 PORTVERSION=	0.9.18
+PORTREVISION=	1
 CATEGORIES=	graphics devel
 MASTER_SITES=	http://download.${PORTNAME}.org/
 DISTNAME=	OpenGTL-${PORTVERSION}
@@ -11,27 +12,21 @@ COMMENT=	Graphics Transformation Languag
 
 LICENSE=	LGPL20
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
-BUILD_DEPENDS=	${LOCALBASE}/lib/libLLVM-3.2.so:${PORTSDIR}/devel/llvm
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libLLVM-3.2.so:${PORTSDIR}/devel/llvm32
 
-USE_BZIP2=	yes
 USES=		cmake perl5
+USE_BZIP2=	yes
 USE_LDCONFIG=	yes
+CMAKE_ARGS=	-DLLVM_CONFIG_EXECUTABLE=${LOCALBASE}/bin/llvm-config32
+
+PLIST_SUB+=	PORTVERSION=${PORTVERSION}
 
 OPTIONS_DEFINE=	SHIVA
 OPTIONS_DEFAULT=SHIVA
 
 SHIVA_DESC=	Install filters and generators
-
-PLIST_SUB+=	PORTVERSION=${PORTVERSION}
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MSHIVA}
-RUN_DEPENDS+=	${LOCALBASE}/share/OpenGTL/shiva/kernels/oilify.shiva:${PORTSDIR}/graphics/shiva-collections
-.endif
+SHIVA_RUN_DEPENDS=${LOCALBASE}/share/OpenGTL/shiva/kernels/oilify.shiva:${PORTSDIR}/graphics/shiva-collections
 
 post-patch:
 	# Disable latex doc, it's not ready yet.

Added: head/graphics/opengtl/files/patch-cmake__modules__FindLLVM.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/opengtl/files/patch-cmake__modules__FindLLVM.cmake	Sat Oct 26 13:50:36 2013	(r331689)
@@ -0,0 +1,18 @@
+--- ./cmake/modules/FindLLVM.cmake.orig	2012-12-29 12:27:12.000000000 +0100
++++ ./cmake/modules/FindLLVM.cmake	2013-10-26 15:46:16.168023085 +0200
+@@ -27,11 +27,13 @@
+       set(LLVM_FOUND TRUE)
+     endif(LLVM_INCLUDE_DIR AND LLVM_LIBS_DIR)
+   else (MSVC)
+-    find_program(LLVM_CONFIG_EXECUTABLE
++    if(NOT LLVM_CONFIG_EXECUTABLE)
++      find_program(LLVM_CONFIG_EXECUTABLE
+         NAMES llvm-config
+         PATHS
+         /opt/local/bin
+-    )
++      )
++    endif()
+     
+     exec_program(${LLVM_CONFIG_EXECUTABLE} ARGS --version OUTPUT_VARIABLE LLVM_VERSION )
+     
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alberto Villa freebsd_committer 2013-10-26 14:53:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!